<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_level(4);

$set['title']='Примеры MySQL запросов';

include_once '../sys/inc/thead.php';
title();
if (!isset($access['mysql_query'])){header("Location: index.php?".SID);exit;}
if (isset($_GET['set']) && $_GET['set']=='set' && isset($_POST['qwerty']))
{
$sql=trim(str_replace("\'","'",$_POST['qwerty']));



if (@$conf['phpversion']==5)
{
include_once H.'sys/inc/sql_parser.php';
$sql=SQLParser::getQueries($sql);
}
else
{
$sql=split(";(\n|\r)*",$sql);
}




$k_z=0; $k_z_ok=0;
for ($i=0;$i<count($sql);$i++)
{
if ($sql[$i]!=''){
$k_z++;
if(mysql_query($sql[$i]))
{
$k_z_ok++;
}}}
if ($k_z_ok>0)
{
if ($k_z_ok==1 && $k_z=1)
msg("Запрос успешно выполнен");
else
msg("Выполнено $k_z_ok запросов из $k_z");
}
}

err();
aut();


echo 'DELETE FROM `user` WHERE `id` = *id* LIMIT 1 - удаление юзера id<br />';
echo 'DELETE FROM `user` WHERE `nick` = *nick* LIMIT 1 - удаление юзера nick<br />';
echo 'DROP TABLE `accesses` - удалить таблицу<br />';
echo 'DROP TABLE `admin_keys` ,
`codes` ,
`contacts` ,
`files` ; - удаление таблиц<br />';



echo "<br /><<<a href='mysql.php'>Взад</a><br />\n";

include_once '../sys/inc/tfoot.php';
?>